const WebSocket = require('ws');

const server = new WebSocket.Server({//通信服务
    host: 'localhost',
    port: 8088
})

let user = {};
let count = 0;

server.on('connection', client => {
    client.id = ++count;
    user[client.id] = client;
    client.on('message', msg => {
        boardCaster(msg,client)
    })
})


//广播

function boardCaster(msg,client){
    for(let i in user){
        user[i].send(`用户${client.id} ${msg}`)
    }
}